---
title: "Delete resource"
url: "https://docs.signnow.com/docs/deprecated-branding/operations/delete-v2-brands-brand_id-resource"
type: "endpoint"
section: "deprecated-branding"
slug: "deprecated-branding/operations/delete-v2-brands-brand_id-resource"
method: "DELETE"
path: "/v2/brands/{brand_id}/{resource}"
operation_id: "delete-v2-brands-brand_id-resource"
authorization: "bearer"
---

# Delete resource

`DELETE /v2/brands/{brand_id}/{resource}`

This endpoint allows users to delete a brand resource.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |
| `resource` | string | Yes | Possible values: `general`, `editor`, `logo`, `email`. |

## Responses

### 204

Success, no content

### 400

* Request without token/with invalid external bearer token/ with external app basic token
* Request with a valid bearer token from another user logged in
* Request with bearer token from user authorised with external token from app they don’t own

**Example** (`Request with valid bearer token from another user logged in`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`Request without token/with invalid external bearer token/ with external app basic token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Request with bearer token from user authorised with external token from app they don’t own
* Request with `brand_id` which does not exist/ deleted
* Request with resource which does not exist/ deleted

**Example** (`Request with `brand_id` which does not exist/ deleted`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`example-1Request with resource which does not exist/ deleted`)

```json
{
  "code": 25002036,
  "message": "Brand resource not found. Resource name: email."
}
```

**Example** (`Request with bearer token from user authorised with external token from app they don’t own`)

```json
{
  "errors": [
    {
      "code": 25002001,
      "message": "Brand action not allowed."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/v2/brands/{brand_id}/{resource}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-branding/operations/delete-v2-brands-brand_id-resource*
